juddi-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kurt T Stam <kurt.s...@gmail.com>
Subject Re: [VOTE] Release jUDDI-3.1.0
Date Wed, 15 Jun 2011 12:58:38 GMT
Hi David,

Good to see you're still paying attention :).

There seems to be a 10.5.3.0_1 version out there now. Not sure why the 
build machine as well as my build never complained (and my 
.m2/.../derby-project.pom looks perfectly fine!, but when I deleted it I 
see the same issue. Anyway good catch, let's move to 10.5.3.0_1.

BTW maven 2.2 or newer should work. Personally I'm using maven 3.0.3.

Cheers,

--Kurt

On 6/14/11 6:12 PM, David Jencks wrote:
> I haven't been able to build the tag using maven 3.0.3 or 2.2.1.  With 3.0.3 I get an
error like this:
>
> Downloading: http://localhost:8081/nexus/content/groups/public/org/apache/derby/derby/10.5.3.0/derby-10.5.3.0.pom
> Downloaded: http://localhost:8081/nexus/content/groups/public/org/apache/derby/derby/10.5.3.0/derby-10.5.3.0.pom
(3 KB at 46.5 KB/sec)
> Downloading: http://localhost:8081/nexus/content/groups/public/org/apache/derby/derby-project/${derby.version}/derby-project-${derby.version}.pom
> [INFO] ------------------------------------------------------------------------
> [INFO] Reactor Summary:
> [INFO]
> [INFO] jUDDI_v3 Parent ................................... SUCCESS [0.807s]
> [INFO] UDDI_v3 WS Stubs and Schema Bindings Generated from WSDL  SUCCESS [4.106s]
> [INFO] UDDI Technical Compatibility Kit (TCK) Base ....... SUCCESS [0.877s]
> [INFO] jUDDI Client side Code ............................ SUCCESS [5.744s]
> [INFO] jUDDI Core ........................................ FAILURE [0.324s]
> [INFO] jUDDI Core ........................................ SKIPPED
> [INFO] jUDDI base-war Deployment ......................... SKIPPED
> [INFO] jUDDI CXF Deployment .............................. SKIPPED
> [INFO] jUDDI Service Registration Examples ............... SKIPPED
> [INFO] jUDDI Tomcat Packaging ............................ SKIPPED
> [INFO] UDDI TCK Tests .................................... SKIPPED
> [INFO] jUDDI User Guide -(en-US) ......................... SKIPPED
> [INFO] jUDDI Dev Guide -(en-US) .......................... SKIPPED
> [INFO] jUDDI Document Packaging .......................... SKIPPED
> [INFO] ------------------------------------------------------------------------
> [INFO] BUILD FAILURE
> [INFO] ------------------------------------------------------------------------
> [INFO] Total time: 14.467s
> [INFO] Finished at: Tue Jun 14 14:49:38 PDT 2011
> [INFO] Final Memory: 19M/1132M
> [INFO] ------------------------------------------------------------------------
> [ERROR] Failed to execute goal on project juddi-core: Could not resolve dependencies
for project org.apache.juddi:juddi-core:bundle:3.1.0: Failed to collect dependencies for [org.apache.juddi:uddi-ws:jar:3.1.0
(compile), org.apache.juddi:juddi-client:jar:3.1.0 (compile), org.apache.juddi:uddi-tck-base:jar:3.1.0
(test), javax.persistence:persistence-api:jar:1.0 (compile), commons-codec:commons-codec:jar:1.3
(compile), commons-configuration:commons-configuration:jar:1.6 (compile), javax:javaee-api:jar:6.0
(provided), org.apache.derby:derby:jar:10.5.3.0 (test), mysql:mysql-connector-java:jar:5.1.6
(test), postgresql:postgresql:jar:8.2-504.jdbc3 (test), org.mockejb:mockejb:jar:0.6-beta2
(test), cglib:cglib-nodep:jar:2.2 (test), org.apache.openjpa:openjpa:jar:1.2.1 (compile),
junit:junit:jar:4.5 (test), commons-logging:commons-logging-api:jar:1.1 (compile)]: Failed
to read artifact descriptor for org.apache.derby:derby:jar:10.5.3.0: Could not find artifact
org.apache.derby:derby-project:pom:${derby.version} in nexus (http://localhost:8081/nexus/content/groups/public)
->  [Help 1]
>
>
> The problem appears to be in the derby 10.5.3.0 pom which doesn't look valid:
>
>    <parent>
>      <groupId>org.apache.derby</groupId>
>      <artifactId>derby-project</artifactId>
>      <version>${derby.version}</version>
>    </parent>
>
> Does someone have a workaround for this problem?  Is it necessary to use this derby version?
>
> thanks
> david jencks
>
> On Jun 14, 2011, at 6:20 AM, Kurt T Stam wrote:
>
>> Hi guys,
>>
>> At some point the planned 'quick 3.0.5 release', turned into a much more substantial
release. One of
>> the major features was to support JAX-WS 2.2, and we beefed up the client code substantially.
Since we
>> added so much new code this release is now labeled 3.1.0.
>>
>> tag: http://svn.apache.org/repos/asf/juddi/tags/juddi-3.1.0/
>>
>> nexus: https://repository.apache.org/content/repositories/orgapachejuddi-068/
>>
>> Please not that the uddi-ws-3.1.0 comes in 2 flavors: by default it is compiled against
the JAX-WS 2.2 spec, but we also
>> release a uddi-ws-3.1.0-jaxws21.jar with a 'jaxws21' classifier to support JAX-WS
2.1 deployment environments.
>>
>> Also I have updated the website to reflect the 3.1.0 release:
>> http://svn.apache.org/repos/asf/juddi/site/
>>
>> Please give it a spin and cast your vote in the next 72 hours!
>>
>> My vote: +1
>>
>> Cheers,
>>
>> --Kurt



Mime
View raw message